--[[
    https://wow.gamepedia.com/API_Frame_SetClampedToScreen
    https://github.com/tomrus88/BlizzardInterfaceCode/blob/master/Interface/FrameXML/GameTooltip.lua#L159-L162
]]

local _, addonTable = ...
local _c = addonTable.config

local function setDefaultAnchor(self, parent)
    self:SetOwner(parent, 'ANCHOR_NONE')
    self:ClearAllPoints()

    -- Set a custom position
    if _c.useCustomPosition then
        self:SetPoint(_c.point, _c.relativeFrame, _c.relativePoint, _c.offsetX, _c.offsetY)
    else
        self:SetPoint('BOTTOMRIGHT', UIParent, 'BOTTOMRIGHT', -CONTAINER_OFFSET_X - 13, CONTAINER_OFFSET_Y)
    end

    -- Anchor to the mouse cursor
    if _c.anchorToCursor and not InCombatLockdown() and
        ( (_c.anchorToCursorAlt and GetMouseFocus() == WorldFrame) or not _c.anchorToCursorAlt ) then

        -- When anchorToCursorAlt is enabled, anchorToCursor will be ignored if it is not a WorldFrame
        self:SetOwner(parent, _c.cursorAnchorPoint, _c.cursorOffsetX, _c.cursorOffsetY)
    end

    -- This will flag the tooltip as having been anchored using the default anchor
    self.default = 1 -- probably does not work anymore
end

hooksecurefunc('GameTooltip_SetDefaultAnchor', setDefaultAnchor)